import React from 'react';
import './App.css';
import MainBody from "./MainBody";
import AlternativeBody from "./AlternativeBody"
import ReactDOM from 'react-dom';

class App extends React.Component {
    page1click() {
        console.log("click page1");

        // rerender mainbody space here
        ReactDOM.render(
            <MainBody/>,
            document.getElementById("mainbody")
        );
    }

    page2click() {
        console.log("click page2");

        // rerender mainbody space here
        ReactDOM.render(
            <AlternativeBody/>,
            document.getElementById("mainbody")
        );
    }

    render() {
        return (
            <div className="App">
                <div>
                    <button onClick={() => this.page1click()}>Page1</button>
                    <button onClick={() => this.page2click()}>Page2</button>
                </div>
                <div id="mainbody">
                    mimimimimi
                </div>

            </div>
        );
    }
}

export default App;
